spring:
  profiles:
    active: clouda
  servlet:
    multipart:
      #单个文件上传大小
      max-file-size: 10MB
      #总数上传大小
      max-request-size: 20MB
server:
  port: 9028
  tomcat:
    uri-encoding: utf-8
cxf:
  path: /intelligent
---
# 注册中心配置 defaultZone: http://eureka-depot:9001/eureka/
eureka:
  client:
    service-url:
      defaultZone: http://eureka-depot:9001/eureka/
    registerWithEureka: false
    fetchRegistry: false
  instance:
    prefer-ip-address: true
    ip-address: eureka-depot
    status-page-url: http://eureka-depot:${server.port}/swagger-ui.html
    instance-id: ${eureka.instance.ip-address}:${server.port}

spring:
  profiles: locala
  application:
    name: depot-intelligent
  # 数据库配置
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://101.36.160.140:10311/depot-yunnan?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=UTC
    username: root
    password: 123456
  # 缓存配置
  session:
    store-type: redis
  redis:
    database: 0
    host: 127.0.0.1
    port: 6379
    password:
    timeout: 3000ms
    jedis:
      pool:
        max-active: 8
        max-wait: -1ms
        max-idle: 8
        min-idle: 0
  # 静态资源配置
  resources:
    static-locations: classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/,file:${web.upload-path}
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
web:
  upload-path: D:/upload

#socket或http地址
protocol-type: http
socket-url: http://localhost:9028/cmd
socket-port: 8999

#设置全局变量判断是云端还是库端；1云端，2本地
localOrCloud: 2

# 多通道气体
gas-org-ids: 386,177,273,280,300

# 数量检测版本区分version3
num_version3: :20013
---
# 注册中心配置 defaultZone: http://eureka-depot:9001/eureka/
eureka:
  client:
    service-url:
      defaultZone: http://127.0.0.1:9001/eureka/
  instance:
    prefer-ip-address: true
    lease-renewal-interval-in-seconds: 10
    lease-expiration-duration-in-seconds: 30

spring:
  profiles: clouda
  application:
    name: depot-intelligent
  # 数据库配置
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://127.0.0.1:3306/depot?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=UTC
    username: root
    password: root
  # 缓存配置
  session:
    store-type: redis
  redis:
    database: 1
    host: 127.0.0.1
    port: 6379
    password:
    timeout: 3000ms
    jedis:
      pool:
        max-active: 8
        max-wait: -1ms
        max-idle: 8
        min-idle: 0
  # 静态资源配置
  resources:
    static-locations: classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/,file:${web.upload-path}
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
web:
  upload-path: D:/home/

#socket或http地址
protocol-type: http
socket-url: http://localhost:4069/cmd
socket-port: 4069

#设置全局变量判断是云端还是库端；1云端，2本地
localOrCloud: 2

# 多通道气体
gas-org-ids: 386,177,273,280,300

# 数量检测版本区分version3
num_version3: :20013
